Update a staff member
Partial update: only the fields sent change.
Path Parameters
- Type: stringFormat: uuididrequired
Staff member id.
Body·
required
application/json
Any subset of writable fields. At least one is required. Unknown or read-only fields are rejected.
- Type: number | nullbase
_pay Amount in the brand’s currency.
- Type: string | nullcity
- Type: string | nullcountry
- Type: string | nulldietary
_restrictions - Type: string | nullFormat: emailemail
- Type: string | nullfirst
_name - Type: string | nullfull
_name - Type: string | nulllast
_name - Type: string | nullnotes
- Type: number | nulloff
_peak _base _pay Amount in the brand’s currency.
- Type: string | nullphone
- Type: string | nullpostal
_code
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for patch/staff-members/{id}
curl https://api.hireorpheus.com/api/v1/staff-members/123e4567-e89b-12d3-a456-426614174000 \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"full_name": null,
"first_name": null,
"last_name": null,
"preferred_name": null,
"status": "active",
"email": null,
"phone": null,
"pronouns": null,
"base_pay": null,
"off_peak_base_pay": null,
"street_1": null,
"street_2": null,
"city": null,
"state_region": null,
"postal_code": null,
"country": null,
"dietary_restrictions": null,
"notes": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"full_name": null,
"first_name": null,
"last_name": null,
"preferred_name": null,
"status": "active",
"email": null,
"phone": null,
"pronouns": null,
"base_pay": null,
"off_peak_base_pay": null,
"street_1": null,
"street_2": null,
"city": null,
"state_region": null,
"postal_code": null,
"country": null,
"dietary_restrictions": null,
"notes": null,
"created_time": "2026-10-14T08:02:53.595Z",
"last_edited_time": "2026-10-14T08:02:53.595Z"
}
}